giovedì 24 marzo 2011

pyLoad on Fonera2.0n

Quando ho scritto di captchatrader ho detto che ero riuscito a far girare pyLoad sulla fonera.
Finalmente ho trovato un programma simile a JDownloader ma abbastanza leggero e semplice da non creare problemi nell'installazione ed esecuzione e rendere finalmente funzionale la fonera.
Con questo programma infatti la Fonera 2.0n sarà in grado di scaricare da svariati siti di hosting come megaupload e rapidshare senza necessariamente avere un account premium (il vero motivo per cui l'avevo comprata), in più risolve i captcha. Se attivate captchatrader anche i re-captcha come quelli di hotfile non saranno più un problema

Ecco l'howto:

Dopo aver aggiunto il repository di nslu2-linux.org attiviamolo:
vi /etc/opkg.conf
#src snapshots http://downloads.openwrt.org/kamikaze/8.09.2/brcm-2.4/packages
src snapshots2 http://ipkg2.nslu2-linux.org/feeds/optware/openwrt-brcm24/cross/stable
dest root /
dest ram /tmp
dest usb /tmp/mounts/Disc-A1
lists_dir ext /var/opkg-lists

ora ci basta installare le dipendenze di pyLoad:
opkg -dest usb install python py25-crypto py25-curl py25-openssl py25-django py25-pil tesseract-ocr-lang-eng unzip ossp-js unrar
Spostiamoci sul drive esterno nel mio caso Disc-A1 e scarichiamo pyLoad
cd /tmp/mounts/Disc-A1/
wget http://get.pyload.org/static/pyload-src-v0.4.5.zip
unzip pyload-src-v0.4.5.zip
cd pyload
ora se vogliamo possiamo far girare systemcheck per controllare che tutto sia a posto prima di continuare, è chiaro che sulla fonera non avremo il supporto alla gui e sarà l'unico errore che riceveremo.
python systemCheck.py
questo è il mio output se volete confrontarlo:
##### System Status #####

## pyLoadCore ##
No Problems detected, pyLoadCore should work fine.

## pyLoadGui ##
The system check has detected some errors:

GUI won't work without pyqt4 !!

## Webinterface ##
No Problems detected, Webinterface should work fine.

Possible improvements for webinterface:

Install Flup to use FastCGI or optional webservers.
Press Enter to Exit.
ora passiamo al setup
python pyLoadCore.py
è abbastanza semplice, le parti in rosso sono quelle da inserire manualmente:
Verifica del sistema finita, premi Invio per vedere il report di stato.

## Stato ##

Funzioni disponibili: decrittografia contenitore, connessione ssl, decrittografia automatica captcha, Interfaccia web, Click'N'Load esteso

Continua con il setup? ([y]/n): y

Do you want to change the config path? Current is /root/.pyload
Se si utilizza pyLoad su un server o la partizione principale si trova su una memoria flash interna potrebbe essere una buona idea cambiarla.
Cambiare il percorso della configurazione? (y/[n]): y
Imposta nuovo percorso di configurazione, la configurazione attuale non sarà trasferita!
Percorso di configurazione [/root/.pyload]: /tmp/mounts/Disc-A1/pyload/.pyload
Percorso di configurazione modificato, il setup ora si chiuderà, riavvialo per andare avanti.
Premi Invio per uscire.
riavviamo quindi il setup, per forzarlo
python pyLoadCore.py -s
come prima le parti in rosso sono da inserire:
Funzioni disponibili: decrittografia contenitore, connessione ssl, decrittografia automatica captcha, Interfaccia web, Click'N'Load esteso

Continua con il setup? ([y]/n): y

Do you want to change the config path? Current is /tmp/run/mountd/sda1/pyload/.pyload
Se si utilizza pyLoad su un server o la partizione principale si trova su una memoria flash interna potrebbe essere una buona idea cambiarla.
Cambiare il percorso della configurazione? (y/[n]): n

Do you want to configure login data and basic settings?
E' consigliato per il primo avvio.
Fai la configurazione di base? ([y]/n): y

## Setup Base ##

The following logindata is valid for CLI, GUI and webinterface.
Nome utente [User]: username
Password: password
Password (di nuovo): password

Lingua ([en], de, it, pl, es, cs, fr): it
Cartella di download [Downloads]: /tmp/mounts/Disc-A1/downloads
Max download contemporanei [3]: INVIO
Usa la riconnessione? (y/[n]): n

Vuoi configurare l'ssl?
Configurare ssl? (y/[n]): n

Vuoi configurare l'interrfaccia web?
Configurare l'interfaccia web? ([y]/n): y

## Setup dell'interfaccia web ##

Attivare l'interfaccia web? ([y]/n): y

Indirizzo di ascolto, se usi 127.0.0.1 o localhost, l'interfaccia web sarà accessibile soltanto localmente.
Indirizzo [0.0.0.0]: vostro indirizzo dyndnsINVIO
Porta [8000]: fate voi

In some rare cases the builtin server is not working, if you notice problems with the webinterface
change the builtin server to the threaded one here.
Server ([builtin], threaded): INVIO

Installazione terminata con successo.
Premi Invio per uscire e riavviare pyLoad
Non ho testato l'opzione ssl motivo per cui non l'ho scritta, comunque non dovrebbe creare problemi dato che openssl è già usato dalla fonera per collgarsi alla webgui di luci da wan.
Mettendo un indirizzo dyndns valido Se avete configurato dyndns sulla fonera potrete accedere al core di pyLoad anche dalla rete esterna una volta aperte le porte sul firewall, cosa che faremo fare allo script di avvio di pyload.

Per openwrt basterebbe scrivere uno script in /etc/init.d/, ma la fonera usa il demone "fonstate" per gli script all'avvio e trovare una combinazione funzionante al 100% non è stato facile. Spero che questa vada bene

vi /etc/init.d/pyload
codice:
#!/bin/sh /etc/rc.common
PATH=/opt/bin:/opt/sbin:/sbin:/bin:/usr/sbin:/usr/bin

while [ ! -d /tmp/mounts/Disc-A1 ]
do
sleep 1
done

START=99

start() {
iptables -I input_daemon -p tcp --dport 8000 -j zone_wan_ACCEPT
iptables -I input_daemon -p tcp --dport 7227 -j zone_wan_ACCEPT
python /tmp/mounts/Disc-A1/pyload/pyLoadCore.py --daemon
}

stop() {
iptables -D input_daemon -p tcp --dport 8000 -j zone_wan_ACCEPT
iptables -D input_daemon -p tcp --dport 7227 -j zone_wan_ACCEPT
python /tmp/mounts/Disc-A1/pyload/pyLoadCore.py -q
}
chmod +x /etc/init.d/pyload
In teoria questo dovrebbe bastare e abilitando lo script all'avvio con
/etc/init.d/pyload enable
dovrebbe funzionare.. dovrebbe appunto! Ma la mia fonera non ne ha voluto sapere quindi ho evitato quest'ultimo passaggio e ho passato il comando a fonstate. Provatelo prima di passare a fonstate per altri utenti ha funzionato senza problemi.
vi /etc/fonstated/pyload
#!/bin/sh
/etc/init.d/pyload start
chmod +x /etc/fonstated/pyload

vi /etc/config/fonstate
aggiungiamo alla fine
config 'fonboot'
option 'event' 'pyload'


Se tutto è andato bene al riavvio dovremmo trovare pyload in esecuzione, si può verfiicare con "top", e le porte 8000 e 7227 aperte "iptables -L |grep 8000" "iptables -L |grep 7227". (Per non avere altri problemi con il firewall ho collegato la fonera al modem/router in pppoe.)
Quindi possiamo collegarci alla web gui di pyload all'indirizzo http://VOSTRODYNDNS:8000 e loggarci con user e pass impostati prima, oppure scaricando sul pc pyload e facendo collegare la pyLoadGui a pyLoadCore.py in esecuzione sulla fonera.

Scaricate pyload per Winzozz (per chi usa altri sistemi operativi non credo che debba dare spiegazioni ;))
Decomprimetelo dove preferite ed eseguite pyLoadGui.exe
Cliccate su "New" e inserite i vostri dati.
Dopo aver cliccato su save cliccate due volte sul profilo appena creato per renderlo di default e non fare più apparire la schermata di setup della gui.
FINE!



Fonti:
http://forum.fon.com
http://wiki.fon.com/wiki/F2_Amule
http://wiki.fon.com/wiki/F2_MgtConsole_tweaks#Fonstated
http://pyload.org/

47 commenti:

  1. ciao, bella guida ma ho un problema nell'eseguire il comando "python pyLoadCore.py"

    ecco lo sceen dell errore:

    root@Fonera:~/run/mountd/sda1/pyload# python pyLoadCore.py
    Traceback (most recent call last):
    File "/tmp/run/mountd/sda1/pyload/pyLoadCore.py", line 46, in
    from module.HookManager import HookManager
    File "/tmp/run/mountd/sda1/pyload/module/HookManager.py", line 23, in
    from module.PluginThread import HookThread
    File "/tmp/run/mountd/sda1/pyload/module/PluginThread.py", line 32, in
    from pycurl import error
    ImportError: No module named pycurl

    RispondiElimina
  2. Ciao Christian.
    ad occhio e croce hai qualche problema con py25-curl, prova a reinstallarlo con
    opkg -dest usb -force-reinstall install py25-curl
    la lista dei file del pacchetto dovresti trovarla con
    cat /tmp/mounts/Disc-A1/usr/lib/opkg/info/py25-curl.list
    Purtroppo spesso ,provando altri programmi, pure a me è successo che la fonera desse errori incomprensibili. (il pacchetto l'ho installato, c'è.. perchè non lo trovi?) Anche se sono riuscito a far funzionare pyload non sono espertissimo in questi casi la cosa più semplice è ricominciare da capo. Trovi risposte del genere pure sul forum di supporto.

    RispondiElimina
  3. M'è venuto ora in mente che puoi provare a lanciarlo così
    python2.5 pyLoadCore.py
    se funziona crea un link simbolico
    ln -s /opt/bin/python2.5 /opt/bin/python
    Fammi sapere che in caso modifico la guida.

    RispondiElimina
  4. no, mi da lo stesso errore anche lanciandolo in quest'altro modo.

    RispondiElimina
  5. Ho gli stessi errori di Christian, e dal system check mi esce questo:

    ##### System Information #####

    ('Platform:', 'linux2')
    ('Operating System:', 'posix')
    ('Python:', '2.5.4 (r254:67916, Dec 6 2009, 03:18:26) [GCC 3.4.6 (OpenWrt-2.0)]\n')
    ('pycurl:', 'missing')
    ('py-crypto:', 'missing')
    ('OpenSSL:', 'missing')
    ('image libary:', 'missing')
    ('pyqt:', 'missing')


    ##### System Status #####

    ## pyLoadCore ##
    The system check has detected some errors:

    Please install py-curl to use pyLoad.
    Your py-curl version is to old, please upgrade!
    Please install py-imaging/pil to use Hoster, which uses captchas.

    Possible improvements for pyload:

    Install OpenSSL if you want to create a secure connection to the core.

    ## pyLoadGui ##
    The system check has detected some errors:

    GUI won't work without pyqt4 !!

    ## Webinterface ##
    No Problems detected, Webinterface should work fine.

    Possible improvements for webinterface:

    Install Flup to use FastCGI or optional webservers.

    Bisont, non è che avevi installato altro prima di fare questa guida?

    RispondiElimina
  6. Anche a me esce questo dal systemcheck

    RispondiElimina
  7. uhm... prima di scrivere questa guida, ho reimpostato la fonera alle impostazioni iniziale e formattato l'hd
    Piuttosto prima di installare python avete seguito il tutorial per aggiungere il repo di nslu2-linux.org? Potete dare
    opkg list_installed |grep py
    e postare l'output?

    RispondiElimina
  8. si ho gli stessi repository della tua guida per aggiungere nslu2-linux.org

    RispondiElimina
  9. e opkg list_installed |grep py?

    RispondiElimina
  10. eccolo

    root@Fonera:~# opkg list_installed |grep py
    py25-crypto - 2.1.0-2 -
    py25-curl - 7.19.0-1 -
    py25-django - 1.1.2-1 -
    py25-openssl - 0.10-1 -
    py25-pil - 1.1.7-1 -
    python - 2.5.4-2 -
    python25 - 2.5.5-2 -

    RispondiElimina
  11. mi da:

    py25-crypto - 2.1.0-2 -
    py25-curl - 7.19.0-1 -
    py25-django - 1.1.2-1 -
    py25-openssl - 0.10-1 -
    py25-pil - 1.1.7-1 -
    python - 2.5.4-2 -
    python25 - 2.5.5-2 -

    assurdo °_°, eppure ci sono...

    che firmware hai installato sulla fonera bisont?
    io ho la 2.3.5.0

    RispondiElimina
  12. si anche a me ci sono ò_O
    io ho il fw 2.3.6.1

    RispondiElimina
  13. Forse ci sono.. ho dato troppa fiducia a opkg. Infatti la versione di python che avete installata è quella del repo openwrt (2.5.4-2), mentre dovrebbe esserci la 2.5-1 presa da nslu2. la cosa strana è che con il comando
    python2.5
    in teoria dovrebbe funzionare lo stesso.
    prova a rimuoverlo con
    opkg remove python
    e prima di installare i pacchetti prova a commentare la riga del repo di openwrt in /etc/opkg.conf. Poi
    opkg update
    e poi installate i pacchetti necessari
    Non posso che scusarmi. Stasera riprovo a reinstallare tutto e in caso modifico. Grazie per la collaborazione.
    La mia configurazione attuale è firmware 2.3.6.1 DEV con connessione pppoe e hd formattato in ext3.

    RispondiElimina
  14. ho fatto una prova a installare le versioni python 2.6 (opkg -dest usb install python py26-crypto py26-curl py26-openssl py26-django py26-pil tesseract-ocr-lang-eng unzip ossp-js) e adesso ho una nuova situazione:

    ##### System Information #####

    ('Platform:', 'linux2')
    ('Operating System:', 'posix')
    ('Python:', '2.6.6 (r266:84292, Dec 2 2010, 02:37:29) [GCC 3.4.6 (OpenWrt-2.0)]\n')
    ('pycurl:', 'libcurl/7.21.3 OpenSSL/0.9.7m zlib/1.2.5')
    ('py-crypto:', 'missing')
    ('OpenSSL:', '0.10')
    ('image libary:', '1.1.7')
    ('pyqt:', 'missing')


    ##### System Status #####

    ## pyLoadCore ##
    No Problems detected, pyLoadCore should work fine.

    ## pyLoadGui ##
    The system check has detected some errors:

    GUI won't work without pyqt4 !!

    ## Webinterface ##
    No Problems detected, Webinterface should work fine.

    Possible improvements for webinterface:

    Install Flup to use FastCGI or optional webservers.
    Press Enter to Exit.


    mi manca solo py-crypto, anche perchè dando il comando python2.6 pyLoadCore.py parte il setup, ma mi avverte che manca la suddetta dipendenza

    RispondiElimina
  15. usando solamente la versione presente su nslu2 l'installazione e proseguita correttamente :)

    RispondiElimina
  16. quoto, era solo un prolema di remository

    ho solo un problema adesso. Come accedo in locale alla web interface?
    che indirizzo devo mettere nel setup, dato che non voglio usare il servizio dyndns, ma semplicemente accedervi da casa tramite wifi?

    RispondiElimina
  17. Bene, sono felice che si sia risolto con pochi problemi. Ora modifico la guida per optware.
    @jenova:
    prova a lasciare vuoto nel setup (oppure prova localhost o 127.0.0.1) e connettiti all'indirizzo gateway della fonera (192.168.10.1:8000). E' chiaro che puoi eliminare le due righe di iptables dallo script in /etc/init.d/

    A proposito lo script di avvio vi funziona correttamente?

    RispondiElimina
  18. funziona correttamente ma solo in rete lan cablata. In pratica la mia fonera è in ip statico, collegata al router modem. Per accedere alla webui della fonera devo sempre digitare https://ipfonera, e non semplicemente http. Se mi collego via cavo invece l'http da solo funziona...
    Adesso il problema è che io sono collegato al wifi del modem router e pyload non mi parte con https://ipfonera:8000
    Non ci sono modi per accedere alla fonera dall'esterno senza sto benedetto https?

    lo script all'avvio mi funziona, ma devi togliere quegli apici (')

    RispondiElimina
  19. finalmente ci sono riuscito ad accederci anche da wifi, senza dover esser collegato via cavo allo switch della fonera (prima non mi funzionava neanche se accedevo via cavo dallo switch del modem router)
    entro come http://ipfonera:8000
    per ip fonera intendo quello statico settato da me, non 192.168.10.1 che di default identifica la rete privata
    ci sono riuscito installando l'ultimo firmware, il 2.3.6.1 e applicando l'hotfix per il bridge mode da applicazioni. Dopo di che ho settato la connessione internet della fonera in bridge mode anzichè static, con gli stessi dati.
    lo script all'avvio funziona, ma bisogna togliere quegli apici in fonstate. Importante è anche eseguire il comando: /etc/init.d/pyload enable
    altrimenti comunque non mi funzionava.
    Al momento ancora non ho scaricato nulla, vista pure l'ora, ma domani lo testo un pò. La webui è veramente ben fatta e decisamente comoda.

    PS
    bisont, ti ho messo come referrer in captchatrader ;)

    RispondiElimina
  20. Ok non avevo capito la tua configurazione di rete. Avresti potuto risolvere modificando la subnetmask. Io l'avevo fatto i primi tempi ma poi per evitare casini ho collegato la fonera in pppoe al modem/router e uso il wifi della fonera.

    Gli apici in fonstate li ha messi automaticamente con i comandi
    uci add fonstate fonboot
    uci set fonstate.@fonboot[-1].event=pyload
    uci commit
    e non ho dato /etc/init.d/pyload enable per non chiamare lo script in esecuzione due volte.
    Ho provato pyload con 2 pacchetti su megaupload. Ha rispettato la coda ed è arrivato fino alla fine senza problemi.
    Grazie per il refer ;)

    RispondiElimina
  21. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  22. Credo di averlo testato a dovere in questi giorni e psso dire che:

    -interfaccia web gradevole e reattiva, purchè non si accavallino troppe richieste
    -scarica senza intoppi da rapidshare, senza captcha, e da fileserve, con account captcha trader.
    -va bene anche con megaupload, ma spesso fallisce il download se il server è troppo lento
    -su hotfile, qualche volta va e qualche volta no. Su filesonic non mi funziona proprio.
    -attenzione con i download interrotti. Spesso riprende da capo il download ma lo accoda al file già scaricato. Cioè se il file era di 100 mb e interrompete il download a 30 mb, quando lo riprenderete e lo portate a termine, il file sarà di 130 mb!
    -alcuni errori di traduzione: eliminazione completata -> elimina completati, riavvio fallito -> riavvia falliti.
    -infine, per interrompere i download, non basta premere in alto il pulsante arresto. Semmai quel pulsante serve a non far partire altri download in coda.
    Per questo chiedo, bisont, come si fa ad arrestare pyload senza usare kill (che potrebbe corrompere la coda)?

    RispondiElimina
  23. Alla faccia del test ;)
    Da linea di comando puoi provare uno dei comandi della CLI la lista la ottieni con
    python pyLoadCli.py -c

    Io nello script per spegnere e il server ho usato il comando
    python pyLoadCore.py -q

    credo che essendo fattto apposta eviti di danneggiare la coda.

    RispondiElimina
  24. root@Fonera:~# opkg -dest usb install python py25-crypto py25-curl py25-openssl
    py25-django py25-pil tesseract-ocr-lang-eng unzip ossp-js unrar
    Package tesseract-ocr-lang-eng (2.03-3) installed in usb is up to date.
    Collected errors:
    * Cannot find package unzip.
    * Cannot find package ossp-js.
    * Cannot find package unrar.
    Potreste dirmi come correggere qst problema??
    Vi9 ringrazio in anticipo

    RispondiElimina
  25. Prova con "opkg update"
    Comunque questo finesettimana hanno aggiornato il repository e durante l'update alcuni pacchetti diventano momentaneamente non disponibili. ritenta e sarai + fortunato ;)
    Inoltre considera l'idea di seguire la seconda guida per aggiungere optware. Mi sono dimenticato di aggiornare questa.
    Se dovessi seguire quella poi usa "ipkg" al posto di "opkg" e non sarà necessario dare l'opzione "-dest usb"

    RispondiElimina
  26. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  27. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  28. Ritiro tutto quello che ho detto prima e posto questo.

    #### System Status #####

    ## pyLoadCore ##
    The system check has detected some errors:

    Please install py-curl to use pyLoad.
    Your py-curl version is to old, please upgrade!
    Please install py-imaging/pil to use Hoster, which uses captchas.

    Possible improvements for pyload:

    Install OpenSSL if you want to create a secure connection to the core.

    ## pyLoadGui ##
    The system check has detected some errors:

    GUI won't work without pyqt4 !!

    ## Webinterface ##
    No Problems detected, Webinterface should work fine.

    Possible improvements for webinterface:

    Install Flup to use FastCGI or optional webservers.
    Press Enter to Exit.
    Traceback (most recent call last):
    File "systemCheck.py", line 142, in
    input("Press Enter to Exit.")
    File "", line 0

    ^
    SyntaxError: unexpected EOF while parsing


    non capisco proprio cosa sbaglio ho provato e riprovato ma nulla mi da sempre questo errore.

    RispondiElimina
  29. Alla fine quale guida hai seguito? L'esecuzione di python e l'importazione di py-curl danno qualche errore? l'outpu di "ls -l /" ti da "opt -> /tmp/mounts/Disc-A1/opt"?

    RispondiElimina
  30. ho usato come prima cosa la guida per le repository optware e poi ho usato questa ma invece di opkg ho usato ipkg senza -dest usb.
    l'output mi da:+

    root@Fonera:/root# ls -l /
    drwxr-xr-x 2 root root 89 Aug 23 16:58 Apps
    drwxr-xr-x 2 root root 584 Aug 23 17:02 bin
    drwxrwxrwt 5 root root 1220 Aug 23 16:52 dev
    drwxr-xr-x 10 root root 0 Aug 23 16:53 etc
    drwxr-xr-x 2 root root 0 Aug 23 16:52 home
    drwxr-xr-x 7 root root 0 Jan 1 1970 jffs
    drwxr-xr-x 12 root root 572 Aug 23 17:14 lib
    drwxr-xr-x 2 root root 3 Aug 23 16:27 mnt
    lrwxrwxrwx 1 root root 23 Jun 3 2011 opt -> /tmp/mounts/Disc- A1/opt
    dr-xr-xr-x 53 root root 0 Jan 1 2000 proc
    drwxr-xr-x 18 root root 190 Aug 24 2010 rom
    drwxr-xr-x 4 root root 0 Jun 3 2011 root
    drwxr-xr-x 2 root root 530 Aug 23 17:07 sbin
    drwxr-xr-x 10 root root 0 Jan 1 2000 sys
    drwxr-xr-x 9 root root 0 Aug 23 18:02 tmp
    drwxr-xr-x 3 root root 0 Jun 3 2011 usr
    lrwxrwxrwx 1 root root 4 Aug 24 2010 var -> /tmp
    drwxr-xr-x 4 root root 79 Aug 23 16:40 www
    quando installo py-curl:root@Fonera:/root# ipkg install python py25-crypto py25-curl py25-openssl py25-d
    jango py25-pil tesseract-ocr-lang-eng unzip ossp-js unrar
    Package python (2.5-1) installed in /opt/ is up to date.
    Package py25-crypto (2.1.0-2) installed in /opt/ is up to date.
    Package py25-curl (7.19.0-1) installed in /opt/ is up to date.
    Package py25-openssl (0.10-1) installed in /opt/ is up to date.
    Package py25-django (1.1.2-1) installed in /opt/ is up to date.
    Package py25-pil (1.1.7-1) installed in /opt/ is up to date.
    Package tesseract-ocr-lang-eng (2.03-3) installed in /opt/ is up to date.
    Package unzip (6.0-2) installed in /opt/ is up to date.
    Package ossp-js (1.6.20070208-1) installed in /opt/ is up to date.
    Package unrar (3.9.8-1) installed in /opt/ is up to date.
    Nothing to be done
    Successfully terminated.

    Non so che fare proprio dammi una mano per favore!!!! :'(

    RispondiElimina
  31. Scusa l'assenza, per ora non ho molto tempo per il blog.
    Devi controllare di non avere installato accidentalmente python da openwrt. se con "which python" ti esce "/opt/bin/python" dovrebbe essere tutto a posto, ma controlla pure che NON ci sia python in "/usr/bin/python". Nel caso lo dovessi trovare rimuovilo con "opkg remove python" e/o prova a reinstallare tutto con "ipkg --force-reinstall install python ..."
    altro test che puoi fare è da terminale aprire python e nella sua shell dare "import curl" se non ti da errori python è a posto, in caso negativo prova "/opt/bin/python" e poi "import curl"

    RispondiElimina
  32. scusami ho ricaricato il firmware e formattato l'hdd ma nn riesco proprio ad andare avanti mi fai capire perfavore quali guide devo seguire non ho capito nulla proprio.Fammi partire da 0 sono disperato.magari dammi i link, dopo aver ricaricato non mi funzione + ipkg.

    RispondiElimina
  33. Per aggiungere i repository segui questa guida
    http://bisont87.blogspot.com/2011/04/repository-optware-sulla-fonera-20n-v2.html
    poi per installare python e pyload segui quella di questa pagina partendo da:
    "ora ci basta installare le dipendenze di pyLoad:

    ipkg update
    ipkg install python py25-crypto py25-curl py25-openssl py25-django py25-pil tesseract-ocr-lang-eng unzip ossp-js unrar

    Spostiamoci sul drive esterno nel mio caso Disc-A1 e scarichiamo pyLoad"
    con queste piccole modifiche.
    dovrebbe funzionare tutto.
    Mi raccomando il filsystem dell'hd in ext.

    RispondiElimina
  34. ciao bisont,
    ti volevo segnalare che è uscita una nuova versione di pyload, la 0.46

    quindi ti chiedo, come si fa ad aggiornarla sulla fonera?

    grazie

    RispondiElimina
  35. ciao jenova,
    scusami mi ero dimenticato di risponderti.
    Ho già installato la versione 0.46 senza nessun problema. Cancella la cartella la cartella della 0.45 e fai un'installazione nuova come quella precedente, non cambia di una virgola.
    Se hai problemi con la webgui (a me non visualizzava bene la coda) cancella la cache.
    ;)

    RispondiElimina
  36. rispetto alla 0.45 ci sono migliorie?
    hai provato le nuove feature?

    RispondiElimina
  37. Quando ho aggiornato avevo dei problemi con captchatrader. ma mi sono accorto dell'aggiornamento nel log di pyload.
    Molto interessante il supporto a realdebrid (che puoi provare gratuitamente la mattina, mi sembra dalle 10 alle 12).
    Ora ho dato un occhio al changelog e ho visto che hanno fatto un pacchetto ipk.

    RispondiElimina
  38. Ho terminato il processo con il comando python pyloadCore.py -q e poi ho cancellato la directory pyload dall'hd. Ho riscaricato il pacchetto aggiornato, scompattato e installato (le dipendenze installate andavano tutte bene). Ho dovuto ripetere il setup, ma tutto ok.

    Devo dire che è più reattivo e sopratutto hanno anche sistemato alcuni errori di traduzione della precedente versione. Proverò come va realdebrid (io qualche volta ho usato alldebrid)

    grazie bisont ;)
    ps
    a che serve il pacchetto ipk che hai menzionato?

    RispondiElimina
  39. Ciao,
    ho seguito la tua guida per aggiungere le dipendenze (http://bisont87.blogspot.com/2011/04/repository-optware-sulla-fonera-20n-v2.html) e non ho avuto nessun problema.
    Nel momento in cui inizio a seguire questa guida e quindi eseguo il comando:
    ipkg install python py25-crypto py25-curl py25-openssl py25-django py25-pil tesseract-ocr-lang-eng unzip ossp-js unrar

    oppure semplicemente ipkg install pyton mi compare il download di 2 versioni di pyton, ma durante il download della 2a (la più recente) si blocca tutto e dopo un paio di minuti la fonera si riavvia.
    Non sono molto esperto di linux quindi magari sbaglio qualcosa io...qualche anima pia che può aiutarmi? magari anche su msn se possibile.
    dm.alessio@tiscali.it

    Grazie anticipatamente

    RispondiElimina
  40. Ciao Alessio7, se con 2 versioni di python intendi che scarica "python" e "python25" è normale, anzi deve essere così. Se in http://ipkg.nslu2-linux.org/feeds/optware/ddwrt/cross/stable/Packages cerchi "Package: python " infatti ne troverai la dipendenza.
    Se la fonera si blocca e si riavvia molto probabilmente non avrai creato bene il link simbolico sull'unità esterna e quando vai ad installare riempe la ram fino a bloccarsi.
    Prova a leggere i commenti qui sopra ci sono stati problemi per altre persone.
    Comunque se hai usato l'altra guida potevi anche commentare in quel post. ;)

    RispondiElimina
  41. Ciao, apparentemente seguendo la guida per l'aggiunta delle dipendenze non ho nessun errore...ho ripetuto l'operazione da capo per almeno 3-4 volte e finisce sempre allo stesso modo...secondo te dove potrebbe essere l'errore??
    hai la possibilità di parlare su msn cosi magari lo facciamo in diretta?

    RispondiElimina
  42. Ciao,
    ho risolto tutti i problemi precedenti, adesso pyload funziona, viene caricato in automatico grazie al tuo script e in LAN va alla grande...il problema adesso è il seguente..se ci accedo tramite rete internet,arrivo sulla pagina di login della webinterface di pyload ma dopo pochi secondi crasha il processo stesso di pyload.
    Cosa potrebbe essere?

    RispondiElimina
  43. Questo commento è stato eliminato dall'autore.

    RispondiElimina
  44. ciao!
    io ho un WZR-HP-G300NH2 che si basa sullo stesso processore della fonera.
    quando cerco di installare dei pacchetti mipsel (come quelli indicati nella guida) mi da "opkg install http://ipkg2.nslu2-linux.org/feeds/optware/ddwrt/cro
    ss/stable/uclibc-opt_0.9.28-13_mipsel.ipk http://ipkg2.nslu2-linux.org/feeds/opt
    ware/ddwrt/cross/stable/ipkg-opt_0.99.163-10_mipsel.ipk
    Downloading http://ipkg2.nslu2-linux.org/feeds/optware/ddwrt/cross/stable/uclibc-opt_0.9.28-13_mipsel.ipk.
    Downloading http://ipkg2.nslu2-linux.org/feeds/optware/ddwrt/cross/stable/ipkg-opt_0.99.163-10_mipsel.ipk.
    Configuring wget.
    Collected errors:
    * pkg_hash_fetch_best_installation_candidate: Packages for uclibc-opt found, but incompatible with the architectures configured
    * opkg_install_cmd: Cannot install package uclibc-opt.
    * pkg_hash_fetch_best_installation_candidate: Packages for ipkg-opt found, but incompatible with the architectures configured
    * opkg_install_cmd: Cannot install package ipkg-opt.
    * xsystem: sh: Child killed by signal 10.
    * pkg_run_script: postinst script returned status -1.
    * opkg_configure: wget.postinst returned -1.
    "
    giustamente si lamenta che il pacchetto non è fatto per la mia architettura che è mips (come della fonera se non sbalio). hai qualche idea? ho cercato ovunque ma non trovo nulla... :(

    RispondiElimina
  45. Ciao,
    io ho una Fonera 2.0G, secondo te si puo' lo stesso installare pyload?
    ciao

    RispondiElimina
  46. Ottengo sempre lo stesso errore se eseguo qualsiasi programma installato da ipkg.nslu2, ovvero "(" unexpected ecc. Possiedo una fonera 2.0n con firmware Paco the Alpaca. Potresti aiutarmi?

    RispondiElimina
  47. La mia Configurazione

    Modem Alice Wifi ADSL2+

    Fonera 2.0n (collegata in DHCP)
    Firmware 2.3.7.0 DEV

    Hard Disk Western Digitale 3TB (partizionato in 500GB in ext3)

    Repository ipkg

    Python

    Pyload 0.4.9


    Tutto perfetto pyload parte e scarica ma....

    Non mi funziona lo script di avvio... se spengo il modem ogni volta devo forzare l'avvio da terminale, questo significa usare putty spostarmi in cd /tmp/mounts/Disc-A1/pyload e lanciare pyload... che cosa non funziona? lanciando "top" si vede chiaramente che pyload non è attivo! come devo fare?

    RispondiElimina